Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.gena
Class IncomingUnsubscribeRequestMessage

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<UpnpRequest>
          org.teleal.cling.model.message.StreamRequestMessage
              org.teleal.cling.model.message.gena.IncomingUnsubscribeRequestMessage

    public class IncomingUnsubscribeRequestMessage

extends StreamRequestMessage

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`IncomingUnsubscribeRequestMessage(StreamRequestMessage source, DeviceService deviceService)`

Method Summary
`DeviceService` | `getDeviceService()`
`String` | `getSubscriptionId()`
`boolean` | `hasCallbackHeader()`
`boolean` | `hasNotificationHeader()`

Methods inherited from class org.teleal.cling.model.message.StreamRequestMessage
`getUri, hasHostHeader, hasUDATextContentType`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, logHeaders, setBody, setBodyType, setHeaders, setOperation, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncomingUnsubscribeRequestMessage

    public IncomingUnsubscribeRequestMessage(StreamRequestMessage source,
                                             DeviceService deviceService)

Method Detail

### getDeviceService

    public DeviceService getDeviceService()

### hasCallbackHeader

    public boolean hasCallbackHeader()

### hasNotificationHeader

    public boolean hasNotificationHeader()

### getSubscriptionId

    public String getSubscriptionId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.